hack4glarus-2018-winter - Task #6170

Setup a matrix server
11/30/2018 10:49 PM - Jin-Guk Kwon

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jin-Guk Kwon % Done:
Category: Estimated time:

Target version:
PM Check date:

12/01/2018
12/02/2018
100%

42.00 hours

Description

setup a matrix server on VM

jinguk

History

#1 - 11/30/2018 10:50 PM - Jin-Guk Kwon
- Description updated

- Assignee set to Jin-Guk Kwon

#2 - 11/30/2018 11:04 PM - Jin-Guk Kwon
matrix.lab.ungleich.ch 2a0a:e5c0:2:12:400:f0ff:fea9:c3f6

#3 - 12/01/2018 12:15 AM - Jin-Guk Kwon

apt-get update
apt-get install wget
wget §0—https://matrix.org/packages/debian/repo-key.asctsude-apt-key-ade—
add-apt-repesitery-https:/matrix.org/packages/debian/
. :
->server name - type the matrix domain name
-->for the anonymous data report, choose 'No'
systemctl start matrix-synapse
systemctl enable matrix-synapse
cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 32 | head -n 1
vi /etc/matrix-synapse/homeserver.yaml

port: 8448
bind_addresses:

-'0.0.0.0"

port: 8008

bind_addresses: ['::1', '127.0.0.1'"]
enable_registration: False
registration_shared_secret: "copy from generated code"

systemctl restart matrix-synapse
apt-get install letsencrypt -y

certbot certonly --rsa-key-size 2048 --standalone --agree-tos --no-eff-email --email [e-mail] -d [server_domain_name]

apt-get nginx -y

systemctl start nginx

systemctl enable nginx

vi /etc/nginx/sites-available/matrix

server {
listen 80;
server_name matrix.hakase-labs.io;
return 301 https://S$server_nameSrequest_uri;

}

server
listen 443 ssl;
https://matrix.org/packages/debian/repo-key.asc
https://matrix.org/packages/debian/

listen [::]:443 ssl;
server_name [domain_name];

ssl_certificate /etc/letsencrypt/live/[domain_name]/fullchain.pem;
ssl_certificate_key /etc/letsencrypt/live/[domain_name]/privkey.pem;

# If you don't wanna serve a site, comment this out
root /var/www/html;
index index.html index.htm;

location /_matrix {
proxy_pass http://localhost:8008;
proxy_set_header X-Forwarded-For S$remote_addr;

root@ubuntu:/etc/nginx/sites-available# 1ln -s /etc/nginx/sites—available/matrix /etc/nginx/sites-enabled/
root@ubuntu:/etc/nginx/sites—-enabled# nginx -t

nginx: the configuration file /etc/nginx/nginx.conf syntax is ok

nginx: configuration file /etc/nginx/nginx.conf test is successful
root@ubuntu:/etc/nginx/sites—-enabled# systemctl restart nginx
root@ubuntu:/etc/nginx/sites—enabled# ufw allow ssh

Rules updated

Rules updated (v6)

root@ubuntu:/etc/nginx/sites—enabled# ufw allow http

Rules updated

Rules updated (v6)

root@ubuntu:/etc/nginx/sites—enabled# ufw allow https

Rules updated

Rules updated (v6)

root@ubuntu:/etc/nginx/sites—enabled# ufw enable

Command may disrupt existing ssh connections. Proceed with operation (yln)? y
Firewall is active and enabled on system startup
root@ubuntu:/etc/nginx/sites—enabled# ufw status

Status: active

To Action From

22/tcp ALLOW Anywhere
80/tcp ALLOW Anywhere
443/tcp ALLOW Anywhere
22/tcp (v6) ALLOW Anywhere (v6)
80/tcp (v6) ALLOW Anywhere (v6)
443/tcp (v6) ALLOW Anywhere (v6)

root@ubuntu:/etc/nginx/sites—enabled# register_new_matrix_user -c /etc/matrix-synapse/homeserver.yaml https://
localhost:8448

New user localpart [root]: ungleich

Password:

Confirm password:

Make admin [no]l: yes

Sending registration request...

Success!

root@ubuntu:/etc/nginx/sites—-enabled#

#4 - 12/02/2018 12:07 PM - Jin-Guk Kwon
- File matrix.pptx added

#5 - 12/02/2018 12:31 PM - Jin-Guk Kwon
- Status changed from New to Resolved

- % Done changed from 0 to 100

#6 - 12/03/2018 02:42 PM - Jin-Guk Kwon

- Status changed from Resolved to Closed

Files

matrix.pptx 337 KB 12/02/2018 Jin-Guk Kwon
